org.apache.hc.core5.http

## Class UnsupportedHttpVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.core5.http.UnsupportedHttpVersionException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedHttpVersionException
      extends ProtocolException

  Signals an unsupported version of the HTTP protocol.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedHttpVersionException()` Creates an exception without a detail message.
    `UnsupportedHttpVersionException(ProtocolVersion protocolVersion)` Creates an exception with a detail message for the given ProtocolVersion.
    `UnsupportedHttpVersionException(String message)` Creates an exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedHttpVersionException

          public UnsupportedHttpVersionException()

      Creates an exception without a detail message.

    - #### UnsupportedHttpVersionException

          public UnsupportedHttpVersionException(ProtocolVersion protocolVersion)

      Creates an exception with a detail message for the given ProtocolVersion.
      Parameters:
        `protocolVersion` - The unsupported ProtocolVersion.

    - #### UnsupportedHttpVersionException

          public UnsupportedHttpVersionException(String message)

      Creates an exception with the specified detail message.
      Parameters:
        `message` - The exception detail message

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.